## libvorbis 1.2.0.dfsg

=== vq/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# vq/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/libvorbis
pkglibdir = $(libdir)/libvorbis
pkgincludedir = $(includedir)/libvorbis
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
EXTRA_PROGRAMS = latticebuild$(EXEEXT) latticepare$(EXEEXT) \
	latticehint$(EXEEXT) latticetune$(EXEEXT) huffbuild$(EXEEXT) \
	distribution$(EXEEXT)
subdir = vq
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am_distribution_OBJECTS = distribution.$(OBJEXT) bookutil.$(OBJEXT)
distribution_OBJECTS = $(am_distribution_OBJECTS)
distribution_LDADD = $(LDADD)
distribution_DEPENDENCIES = ../lib/libvorbis.la
am_huffbuild_OBJECTS = huffbuild.$(OBJEXT) vqgen.$(OBJEXT) \
	bookutil.$(OBJEXT)
huffbuild_OBJECTS = $(am_huffbuild_OBJECTS)
huffbuild_LDADD = $(LDADD)
huffbuild_DEPENDENCIES = ../lib/libvorbis.la
am_latticebuild_OBJECTS = latticebuild.$(OBJEXT) vqgen.$(OBJEXT) \
	bookutil.$(OBJEXT)
latticebuild_OBJECTS = $(am_latticebuild_OBJECTS)
latticebuild_LDADD = $(LDADD)
latticebuild_DEPENDENCIES = ../lib/libvorbis.la
am_latticehint_OBJECTS = latticehint.$(OBJEXT) bookutil.$(OBJEXT)
latticehint_OBJECTS = $(am_latticehint_OBJECTS)
latticehint_LDADD = $(LDADD)
latticehint_DEPENDENCIES = ../lib/libvorbis.la
am_latticepare_OBJECTS = latticepare.$(OBJEXT) vqgen.$(OBJEXT) \
	bookutil.$(OBJEXT) vqsplit.$(OBJEXT)
latticepare_OBJECTS = $(am_latticepare_OBJECTS)
latticepare_LDADD = $(LDADD)
latticepare_DEPENDENCIES = ../lib/libvorbis.la
am_latticetune_OBJECTS = latticetune.$(OBJEXT) vqgen.$(OBJEXT) \
	bookutil.$(OBJEXT)
latticetune_OBJECTS = $(am_latticetune_OBJECTS)
latticetune_LDADD = $(LDADD)
latticetune_DEPENDENCIES = ../lib/libvorbis.la
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(distribution_SOURCES) $(huffbuild_SOURCES) \
	$(latticebuild_SOURCES) $(latticehint_SOURCES) \
	$(latticepare_SOURCES) $(latticetune_SOURCES)
DIST_SOURCES = $(distribution_SOURCES) $(huffbuild_SOURCES) \
	$(latticebuild_SOURCES) $(latticehint_SOURCES) \
	$(latticepare_SOURCES) $(latticetune_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run aclocal-1.10
ALLOCA = 
AMTAR = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O20 -ffast-math -D_REENTRANT -fsigned-char  -DUSE_MEMORY_H
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEBUG = -g -Wall -W -D_REENTRANT -D__NO_MATH_INLINES -fsigned-char
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
HAVE_PKG_CONFIG = yes
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
OGG_CFLAGS =  
OGG_LIBS = -logg  
PACKAGE = libvorbis
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PDFXMLTEX = 
PKG_CONFIG = /usr/bin/pkg-config
PROFILE = -pg -g -O20 -ffast-math -D_REENTRANT -fsigned-char
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.2.0
VE_LIB_AGE = 0
VE_LIB_CURRENT = 2
VE_LIB_REVISION = 3
VF_LIB_AGE = 2
VF_LIB_CURRENT = 5
VF_LIB_REVISION = 0
VORBIS_LIBS = -lm
V_LIB_AGE = 4
V_LIB_CURRENT = 4
V_LIB_REVISION = 0
XSLTPROC = 
abs_builddir = /home/giles/projects/ghostscript/libvorbis-1.2.0/vq
abs_srcdir = /home/giles/projects/ghostscript/libvorbis-1.2.0/vq
abs_top_builddir = /home/giles/projects/ghostscript/libvorbis-1.2.0
abs_top_srcdir = /home/giles/projects/ghostscript/libvorbis-1.2.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/giles/projects/ghostscript/libvorbis-1.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pthread_lib = -lpthread
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_builddir = ..
top_srcdir = ..
INCLUDES = -I../lib -I$(top_srcdir)/include  
CLEANFILES = $(EXTRA_PROGRAMS)
AM_LDFLAGS = -static
LDADD = ../lib/libvorbis.la
latticebuild_SOURCES = latticebuild.c vqgen.c bookutil.c\
	vqgen.h bookutil.h localcodebook.h

latticepare_SOURCES = latticepare.c vqgen.c bookutil.c vqsplit.c\
	vqgen.h vqsplit.h bookutil.h localcodebook.h

latticehint_SOURCES = latticehint.c bookutil.c\
	vqsplit.h bookutil.h localcodebook.h

latticetune_SOURCES = latticetune.c vqgen.c bookutil.c\
	vqgen.h bookutil.h localcodebook.h

huffbuild_SOURCES = huffbuild.c vqgen.c bookutil.c\
	vqgen.h bookutil.h localcodebook.h

distribution_SOURCES = distribution.c bookutil.c\
	bookutil.h localcodebook.h

EXTRA_DIST = residue_entropy auxpartition.pl
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  vq/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  vq/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
distribution$(EXEEXT): $(distribution_OBJECTS) $(distribution_DEPENDENCIES) 
	@rm -f distribution$(EXEEXT)
	$(LINK) $(distribution_OBJECTS) $(distribution_LDADD) $(LIBS)
huffbuild$(EXEEXT): $(huffbuild_OBJECTS) $(huffbuild_DEPENDENCIES) 
	@rm -f huffbuild$(EXEEXT)
	$(LINK) $(huffbuild_OBJECTS) $(huffbuild_LDADD) $(LIBS)
latticebuild$(EXEEXT): $(latticebuild_OBJECTS) $(latticebuild_DEPENDENCIES) 
	@rm -f latticebuild$(EXEEXT)
	$(LINK) $(latticebuild_OBJECTS) $(latticebuild_LDADD) $(LIBS)
latticehint$(EXEEXT): $(latticehint_OBJECTS) $(latticehint_DEPENDENCIES) 
	@rm -f latticehint$(EXEEXT)
	$(LINK) $(latticehint_OBJECTS) $(latticehint_LDADD) $(LIBS)
latticepare$(EXEEXT): $(latticepare_OBJECTS) $(latticepare_DEPENDENCIES) 
	@rm -f latticepare$(EXEEXT)
	$(LINK) $(latticepare_OBJECTS) $(latticepare_LDADD) $(LIBS)
latticetune$(EXEEXT): $(latticetune_OBJECTS) $(latticetune_DEPENDENCIES) 
	@rm -f latticetune$(EXEEXT)
	$(LINK) $(latticetune_OBJECTS) $(latticetune_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/bookutil.Po
include ./$(DEPDIR)/distribution.Po
include ./$(DEPDIR)/huffbuild.Po
include ./$(DEPDIR)/latticebuild.Po
include ./$(DEPDIR)/latticehint.Po
include ./$(DEPDIR)/latticepare.Po
include ./$(DEPDIR)/latticetune.Po
include ./$(DEPDIR)/vqgen.Po
include ./$(DEPDIR)/vqsplit.Po

.c.o:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c $<

.c.obj:
	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \

=== doc/vorbisfile/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# doc/vorbisfile/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/libvorbis
pkglibdir = $(libdir)/libvorbis
pkgincludedir = $(includedir)/libvorbis
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-unknown-linux-gnu
host_triplet = x86_64-unknown-linux-gnu
target_triplet = x86_64-unknown-linux-gnu
subdir = doc/vorbisfile
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/acinclude.m4 \
	$(top_srcdir)/configure.in
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(docdir)"
docDATA_INSTALL = $(INSTALL_DATA)
DATA = $(doc_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run aclocal-1.10
ALLOCA = 
AMTAR = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run autoconf
AUTOHEADER = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run autoheader
AUTOMAKE = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -O20 -ffast-math -D_REENTRANT -fsigned-char  -DUSE_MEMORY_H
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEBUG = -g -Wall -W -D_REENTRANT -D__NO_MATH_INLINES -fsigned-char
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
HAVE_PKG_CONFIG = yes
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAKEINFO = ${SHELL} /home/giles/projects/ghostscript/libvorbis-1.2.0/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
OGG_CFLAGS =  
OGG_LIBS = -logg  
PACKAGE = libvorbis
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
PDFXMLTEX = 
PKG_CONFIG = /usr/bin/pkg-config
PROFILE = -pg -g -O20 -ffast-math -D_REENTRANT -fsigned-char
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
VERSION = 1.2.0
VE_LIB_AGE = 0
VE_LIB_CURRENT = 2
VE_LIB_REVISION = 3
VF_LIB_AGE = 2
VF_LIB_CURRENT = 5
VF_LIB_REVISION = 0
VORBIS_LIBS = -lm
V_LIB_AGE = 4
V_LIB_CURRENT = 4
V_LIB_REVISION = 0
XSLTPROC = 
abs_builddir = /home/giles/projects/ghostscript/libvorbis-1.2.0/doc/vorbisfile
abs_srcdir = /home/giles/projects/ghostscript/libvorbis-1.2.0/doc/vorbisfile
abs_top_builddir = /home/giles/projects/ghostscript/libvorbis-1.2.0
abs_top_srcdir = /home/giles/projects/ghostscript/libvorbis-1.2.0
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = x86_64-unknown-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = unknown
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = $(datadir)/doc/$(PACKAGE)-$(VERSION)/vorbisfile
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-unknown-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = unknown
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/giles/projects/ghostscript/libvorbis-1.2.0/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
pthread_lib = -lpthread
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-unknown-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = unknown
top_builddir = ../..
top_srcdir = ../..
doc_DATA = OggVorbis_File.html callbacks.html chaining_example_c.html\
	chainingexample.html crosslap.html datastructures.html decoding.html\
	example.html exampleindex.html fileinfo.html index.html\
	initialization.html ov_bitrate.html ov_bitrate_instant.html\
	ov_callbacks.html ov_clear.html ov_comment.html ov_crosslap.html\
	ov_info.html ov_open.html ov_open_callbacks.html ov_pcm_seek.html\
	ov_pcm_seek_lap.html ov_pcm_seek_page.html ov_pcm_seek_page_lap.html\
	ov_pcm_tell.html ov_pcm_total.html ov_raw_seek.html\
	ov_raw_seek_lap.html ov_raw_tell.html ov_raw_total.html ov_read.html\
	ov_read_float.html ov_seekable.html ov_serialnumber.html\
	ov_streams.html ov_test.html ov_test_callbacks.html ov_test_open.html\
	ov_time_seek.html ov_time_seek_lap.html ov_time_seek_page.html\
	ov_time_seek_page_lap.html ov_time_tell.html ov_time_total.html\
	overview.html reference.html return.html seekexample.html seeking.html\
	seeking_example_c.html seeking_test_c.html seekingexample.html\
	style.css threads.html vorbis_comment.html vorbis_info.html\
	vorbisfile_example_c.html

EXTRA_DIST = $(doc_DATA)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  doc/vorbisfile/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  doc/vorbisfile/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-docDATA: $(doc_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(docdir)" || $(MKDIR_P) "$(DESTDIR)$(docdir)"
	@list='$(doc_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(docDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(docdir)/$$f'"; \
	  $(docDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(docdir)/$$f"; \
	done

uninstall-docDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(doc_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(docdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(docdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(docdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-docDATA

install-dvi: install-dvi-am

install-exec-am:

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-docDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-docDATA install-dvi \
	install-dvi-am install-exec install-exec-am install-html \
	install-html-am install-info install-info-am install-man \
	install-pdf install-pdf-am install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	uninstall uninstall-am uninstall-docDATA

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

## libvorbis 1.2.3.tk1

=== debian/changelog ===
libvorbis (1.2.3.tk1) unstable; urgency=low

  * New upstream release with debian directory from Debian Lenny without
    patches.

 -- Tuomas Kulve <tuomas@kulve.fi>  Sun, 20 Sep 2009 12:11:04 +0300

libvorbis (1.2.0.dfsg-3.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix integer overflows (and possible DoS attacks) via crafted
    OGG files (Closes: #482518)
    Fixes: CVE-2008-1423, CVE-2008-1420, CVE-2008-1419

 -- Steffen Joeris <white@debian.org>  Mon, 26 May 2008 12:48:06 +0000

libvorbis (1.2.0.dfsg-3) unstable; urgency=low

  * Use dpkg-gensymbols, with symbol files obtained from Mole (stripping
    debian revision and .dfsg suffix).

  * Install upstream CHANGES file as changelog.gz. (Closes: #302037)

  * Bump debian/compat to 5, and Standards-Version to 3.7.3 (no changes
    needed).

  * Use quilt.make in debian/rules.

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 27 Dec 2007 14:33:45 +0100

libvorbis (1.2.0.dfsg-2) unstable; urgency=high

  * Bump shlibs for libvorbis0a due to new vorbis_synthesis_idheader header.
    (Closes: #436083)

 -- Adeodato Simó <dato@net.com.org.es>  Tue, 14 Aug 2007 20:55:54 +0200

libvorbis (1.2.0.dfsg-1) unstable; urgency=low

  [ Adeodato Simó ]
  * Use ${binary:Version} instead of ${Source-Version}.

  [ Clint Adams ]
  * New upstream release.
    - Remove upstream_r13198-fix_segfault_in_ov_time_seek.diff .
  * Bump shlibs for libvorbisfile3 to >= 1.2.0 due to new ov_fopen
    function.

 -- Clint Adams <schizo@debian.org>  Fri, 27 Jul 2007 02:57:44 -0400

libvorbis (1.1.2.dfsg-2) unstable; urgency=low

  * Bump to Standards-Version 3.7.2. 
  * Add upstream_r13198-fix_segfault_in_ov_time_seek.diff. closes: #281995.

 -- Clint Adams <schizo@debian.org>  Fri, 29 Jun 2007 09:46:12 -0400

libvorbis (1.1.2.dfsg-1.2) unstable; urgency=high

  * Fix shlibs files for libvorbisenc and libvorbisfile, which were broken
    by my first NMU to have dependencies for libvorbis0a. Closes: #395048

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Oct 2006 19:55:19 -0400

libvorbis (1.1.2.dfsg-1.1) unstable; urgency=low

  * NMU
  * Remove draft RFC files, as they are not under a free license.
    Closes: #390660
  * Repackage the source package without these files.
  * Add README.Source documenting how the upstream source is repackaged.
  * Modify dh_makeshlibs call to avoid generating a shlibs file that has
    an unncessarily tight versioned dependency on this new pseudo-version
    of libvorbis.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Oct 2006 17:21:37 -0400

libvorbis (1.1.2-1) unstable; urgency=low

  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).

  * New upstream release packaged. (Closes: #327586)

  * Move HTML documentation from /usr/share/doc/libvorbis-dev itself to an
    html/ subdirectory of it.

  * Update debian/control:
    + drop unnecessary build-dependency on devscripts.
    + drop version restriction on debhelper and libogg-dev build-dependencies,
      since they're already satisfied with stable.

  * Overhaul debian/rules, and switch to quilt for patch management.

  * Add debian/compat file, instead of exporting DH_COMPAT.

  * Update download URL in debian/copyright.

  * Add debian/watch file.

  * Bumped Standards-Version to 3.6.2 (no changes required).

 -- Adeodato Simó <dato@net.com.org.es>  Thu, 26 Jan 2006 01:35:39 +0100

libvorbis (1.1.0-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 17 Mar 2005 21:30:00 -0600

libvorbis (1.0.1-1) unstable; urgency=low

  * New upstream.
  * Improved descriptions. (Closes: #166649)
  * Updated DEB_BUILD_OPTIONS support. (Closes: #188464)

 -- Christopher L Cheney <ccheney@debian.org>  Tue,  9 Dec 2003 01:00:00 -0600

libvorbis (1.0.0-3) unstable; urgency=low

  * Add libvorbis0 conflict to libvorbis0a.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 12 Mar 2003 17:00:00 -0600

libvorbis (1.0.0-2) unstable; urgency=low

  * Rename libvorbis0 -> libvorbis0a to keep packages from upgrading to it
    by mistake. (Closes: #156227, #156365, #161961, #171548, #172466,
    #172469, #178756)
  * GNU config automated update: config.sub (20020621 to 20030103),
    config.guess (20020529 to 20030110)

 -- Christopher L Cheney <ccheney@debian.org>  Sat,  8 Mar 2003 13:00:00 -0600

libvorbis (1.0.0-1) unstable; urgency=low

  * New upstream.
  * Split libvorbis package into libvorbis libvorbisenc libvorbisfile due to
    shared object major versions going out of sync.

 -- Christopher L Cheney <ccheney@debian.org>  Fri, 19 Jul 2002 09:00:00 -0500

libvorbis (1.0rc3-1) unstable; urgency=low

  * New upstream. (Closes: #121995, #123472)
  * added autotools target (config.* updater) to rules

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 24 Dec 2001 11:00:00 -0600

libvorbis (1.0rc2-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 12 Aug 2001 22:00:00 -0500

libvorbis (1.0rc1-1) unstable; urgency=low

  * New upstream. (Closes: #84977, #95330)
  * Upstream says lame at fault. See bug details. (Closes: #98010)
  * Fixed versioned depends.
  * Changed clean method to distclean.

 -- Christopher L Cheney <ccheney@debian.org>  Sun, 17 Jun 2001 20:00:00 -0500

libvorbis (1.0beta4-1) unstable; urgency=low

  * New upstream.
  * Appears to be fixed, can't reproduce bug (closes: #78848)

 -- Christopher L Cheney <ccheney@debian.org>  Mon, 26 Feb 2001 08:00:00 -0600

libvorbis (1.0beta3-3) unstable; urgency=low

  * Fixed Build-Depends libogg-dev version dependency.
  * Fixed Sections.
  * Updated to Standards-Version to 3.5.1.0

 -- Christopher L Cheney <ccheney@debian.org>  Sat, 17 Feb 2001 18:14:53 -0600

libvorbis (1.0beta3-2) unstable; urgency=low

  * Added dependency for libogg-dev (closes: #78262)
  * Added dependency for libogg-dev (closes: #81432)
  * Corrected development library package name (closes: #82464)



=== debian/control ===
Source: libvorbis
Section: libs
Priority: optional
Maintainer: Tuomas Kulve <tuomas@kulve.fi>
Build-Depends: autotools-dev, debhelper, quilt, libogg-dev
Standards-Version: 3.7.3
Vcs-Bzr: http://bzr.debian.org/bzr/pkg-xiph/libvorbis

Package: libvorbis0a
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libvorbis0
Replaces: libvorbis0
Description: The Vorbis General Audio Compression Codec
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed 
 and variable bitrates from 16 to 128 kbps/channel.
 .
 The Vorbis library is the primary Ogg Vorbis library.

Package: libvorbisenc2
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libvorbis0 (<< 1.0.0)
Replaces: libvorbis0 (<< 1.0.0)
Description: The Vorbis General Audio Compression Codec
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed 
 and variable bitrates from 16 to 128 kbps/channel.
 .
 The Vorbisenc library provides a convenient API for setting up an encoding
 environment using libvorbis.

Package: libvorbisfile3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libvorbis0 (<< 1.0.0)
Replaces: libvorbis0 (<< 1.0.0)
Description: The Vorbis General Audio Compression Codec
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed 
 and variable bitrates from 16 to 128 kbps/channel.
 .
 The Vorbisfile library provides a convenient high-level API for decoding
 and basic manipulation of all Vorbis I audio streams.

Package: libvorbis-dev
Architecture: any
Section: libdevel
Depends: libogg-dev, libvorbis0a (= ${binary:Version}), libvorbisenc2 (= ${binary:Version}), libvorbisfile3 (= ${binary:Version})
Description: The Vorbis General Audio Compression Codec (development files)
 Ogg Vorbis is a fully open, non-proprietary, patent-and-royalty-free,
 general-purpose compressed audio format for audio and music at fixed
 and variable bitrates from 16 to 128 kbps/channel.
 .
 This package contains the header files and documentation needed to develop
 applications with libvorbis.

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/quilt/quilt.make

###

# Configure arguments

confflags = --prefix=/usr --enable-static

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

confflags += --build $(DEB_BUILD_GNU_TYPE)

# Only specify --host when cross-compiling
ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --host $(DEB_HOST_GNU_TYPE)
endif

###

# Directory to make the build on

objdir = $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)

###

# CFLAGS


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

###

configure: configure-stamp
configure-stamp: $(QUILT_STAMPFN)
	dh_testdir

	ln -sf /usr/share/misc/config.sub .
	ln -sf /usr/share/misc/config.guess .

	-mkdir $(objdir)
	cd $(objdir) && \
	env CFLAGS="$(CFLAGS)" ../configure $(confflags)

	touch $@

#

build: build-stamp
build-stamp: configure-stamp
	cd $(objdir) && \
	$(MAKE)

	touch $@

#

clean: unpatch
	dh_testdir
	dh_testroot

	rm -f configure-stamp build-stamp install-stamp
	rm -f config.guess config.sub

	# Remove build tree
	rm -rf $(objdir)

	dh_clean

#

install: install-stamp
install-stamp:
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	cd $(objdir) && $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	dh_install --list-missing $(DH_INSTALL_EXCLUDE)
	touch $@ 

#

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_installexamples
	dh_installmime
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V -- -c4
	dh_installdeb
	dh_shlibdeps -ldebian/libvorbis0a/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
	@echo "Nothing to do."

#

.PHONY: configure build clean install binary binary-arch binary-indep

## libvorbis 1.3.4

=== debian/changelog ===
libvorbis (1.3.4-2+deb8u3) jessie-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2017-14633, CVE-2017-11333
    An out-of-bounds array read vulnerability exists in the function
    mapping0_forward() in mapping0.c, which may lead to DoS when
    operating on a crafted audio file with vorbis_analysis_headerout()
    from lib/block.c.

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 17 Dec 2019 16:03:02 +0100

libvorbis (1.3.4-2+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the ELTS Team.
  * CVE-2017-14160, CVE-2018-10393
    Improve bound checking for very low sample rates.
  * CVE-2018-10392
    Not validating the number of channels allows a remote attacker
    to cause a denial of service.

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Nov 2019 19:03:02 +0100

libvorbis (1.3.4-2+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent out-of-bounds write in codebook decoding (CVE-2018-5146)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 16 Mar 2018 18:18:30 +0100

libvorbis (1.3.4-2) unstable; urgency=low

  [ Martin Steghöfer ]
  * Add sampling rate sanity check to avoid invalid memory access.
    (Closes: #716613)

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 03 Nov 2014 09:08:25 +0100

libvorbis (1.3.4-1) unstable; urgency=medium

  [ Martin Steghöfer ]
  * New upstream version 1.3.4. (Closes: #739722)
  * Rebased patches and dropped cve-2012-0444 patch that is included
    in new upstream.
  * Removed lintian override for tag
    "using-first-person-in-description". Lintian has improved and
    doesn't report this false positive any longer.
  * Upgrade Standards-Version to 3.9.6. No changes necessary.
  * Clean-up: Removed references to the old libvorbis0 package, it
    hasn't been in any release for ages.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Oct 2014 20:13:09 +0200

libvorbis (1.3.2-2) unstable; urgency=medium

  [ Martin Steghöfer ]
  * Format patches for gbp-pq.
  * Updated VCS meta information to list git repository.

  [ Petter Reinholdtsen ]
  * Drop John Francesco Ferlito and add me and Martin Steghöfer as
    uploaders.
  * Updated standards-version from 3.9.1 to 3.9.6.

  [ Martin Steghöfer ]
  * Fix lintian warning
    "description-synopsis-starts-with-article". Make sure the synopsis
    of the package description meets the formula "The package [name]
    provides {a,an,the,some} [synopsis]."
  * Override lintian tag "license-problem-non-free-RFC-BCP78" for RFC
    5215 - it has a dual license.
  * Fix lintian warning "wrong-name-for-upstream-changelog" by using
    "dh_installchangelogs" instead of "dh_installdocs" for the
    upstream changelog.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Oct 2014 07:08:55 +0200

libvorbis (1.3.2-1.5) unstable; urgency=low

  * Non-maintainer upload to fix crash and hang bug.
  * Switch to debian source format 3.0 (quilt).
  * Add Homepage link in debian/control.
  * Avoid floating point exception when dividing by zero when
    bytespersample is zero (Closes: #635906).  Patch from Daniel Exner.
  * Fix hang with loading Ogg Theora files when seeking to PCM 0 by
    backporting r19159 of upstream SVN, authored by Chris Montgomery
    (Closes: #762571).  Patch from Martin Steghöfer.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 14 Oct 2014 09:32:30 +0200

libvorbis (1.3.2-1.4) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on dh-autoreconf and use it in rules for
    config.{guess,sub} (Closes: #744722)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 21 May 2014 23:47:10 +0100

libvorbis (1.3.2-1.3) unstable; urgency=low

  * Non-maintainer upload to fix release goals
  * Convert to Multi-Arch, closes: #637578 (Thanks, Steve Langasek)
  * Remove .la file dependencies, closes: #633339 

 -- Riku Voipio <riku.voipio@linaro.org>  Mon, 07 May 2012 14:53:26 +0300

libvorbis (1.3.2-1.2) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix cve-2012-0444: buffer overflow in floor1.c.

 -- Michael Gilbert <mgilbert@debian.org>  Tue, 17 Apr 2012 22:37:49 -0400

libvorbis (1.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with ld --no-add-needed (Closes: #604797).
    patch made by Matthias Klose <doko@ubuntu.com>.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 09 Jan 2012 02:58:52 +0900

libvorbis (1.3.2-1) unstable; urgency=low

  * New upstream release (Closes: #613489)
    - ov_fopen should have const qualifier for char *path (Closes: #547223)
  * debian/control
    - Bumped standards version to 3.9.1
  * debian/rules
    - Add --with-pic (Closes: #603195)
  * debian/docs
    - CHANGELOG was renamed to CHANGES
  * Added debian/source/format 1.0

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 15 Feb 2011 23:32:40 +1100

libvorbis (1.3.1-1) unstable; urgency=low

  * New upstream release.
    - Please package new upstream version 1.3.1. (Closes: #575676)
    - libvorbis: additional CVE-2009-3379 security fixes. (Closes: #573562)
    - libvorbis0a: Incorrect encoding on powerpc. (Closes: #549899)
    - FTBFS with binutils-gold. (Closes: #555383)
  * debian/compat
    - Moved to version 7
  * debian/control
    - Added ${misc:Depends}.
    - Bumped dependency on debhelper to 7.0.50~.
    - Added strict version depends on libvorbis0a to libvorbisenc2 and
      libvorbisfile3.
  * Added debian/docs
  * Simplified debian/*.install
  * Updated debian/libvorbis0a.symbols
  * Moved to debhelper 7 style dh rules

 -- John Francesco Ferlito <johnf@inodes.org>  Fri, 26 Mar 2010 19:10:35 +1100

libvorbis (1.2.3-3) unstable; urgency=low

  * debian/copyright
    - Add details for doc/rfc5215.txt (Closes: #550687).
  * Add a -dbg package (Closes: #516661).

 -- John Francesco Ferlito <johnf@inodes.org>  Tue, 13 Oct 2009 09:46:51 +1100

libvorbis (1.2.3-2) unstable; urgency=low

  * Add back in changes from dfsg-5 and dfsg-6.


=== debian/rules ===
#! /usr/bin/make -f


%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -i -f -I m4

override_dh_strip:
	dh_strip --dbg-package=libvorbis-dbg

override_dh_auto_configure:
	dh_auto_configure -- --enable-static --with-pic

# Trac bug https://trac.xiph.org/ticket/1673
override_dh_install:
	rm debian/tmp/usr/share/doc/libvorbis-*/doxygen-build.stamp
	sed -i "/dependency_libs/ s/'.*'/''/" `find -name '*.la'`
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

## libvorbis 1.3.5

=== debian/changelog ===
libvorbis (1.3.5-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Prevent out-of-bounds write in codebook decoding (CVE-2018-5146)
    (Closes: #893130)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 16 Mar 2018 22:26:37 +0100

libvorbis (1.3.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream patches for CVE-2017-14632 and CVE-2017-14633
    (Closes: #876778, 876779)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 20 Dec 2017 17:31:19 +0100

libvorbis (1.3.5-4) unstable; urgency=low

  * Changed Standards-Version from 3.9.6 to 3.9.8.
  * Added CPE id in d/upstream/metadata for future reference.
  * Adjusted d/tests/test-coupling-segfault to print bug number and
    upstream URL.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 22 Dec 2016 17:28:24 +0000

libvorbis (1.3.5-3) unstable; urgency=medium

  * Replace Peter Samuelson with Ralph Giles as uploader.  Thank you
    Peter for all past work.
  * Fix autopkgtest script by redirecting stderr to log file.
  * Add new autopkgtest script test-coupling-segfault to detect if
    bug #772877 is present.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 11 Feb 2016 20:08:19 +0100

libvorbis (1.3.5-2) unstable; urgency=medium

  * Add build-essential to the list of autopkgtest dependencies to get gcc.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 07 Feb 2016 10:26:56 +0000

libvorbis (1.3.5-1) unstable; urgency=low

  [ Martin Steghöfer ]
  * New upstream version 1.3.5. (Closes: #798960)

  [ Petter Reinholdtsen ]
  * Added simple autopkgtest script running the examples.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 06 Feb 2016 13:17:12 +0000

libvorbis (1.3.4-3) unstable; urgency=low

  [ Martin Steghöfer ]
  * Fix crash on corrupt input file (invalid mode index). (Closes: #774516)
  * Take into account error codes returned from
    "vorbis_packet_blocksize" in "_initial_pcmoffset" (follow-up
    problem related to #774516).  Thanks to Timothy B. Terriberry
  * Fix segmentation fault on two subsequent seeks to 0. (Closes: #782831)

  [ Petter Reinholdtsen ]
  * Add debian/gbp.conf to enforce the user of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Sep 2015 14:30:24 +0200

=== debian/tests/control ===
Depends: @, vorbis-tools, build-essential, pysycache-i18n, sound-icons, valgrind
Tests: test-examples test-coupling-segfault

=== debian/watch ===
version=3
http://downloads.xiph.org/releases/vorbis/libvorbis-(.+)\.tar\.gz
